Page MenuHomePhabricator

Remove wrong "Gregorian" display from diff views
Closed, InvalidPublic

Description

I'm creating a separate ticket for https://github.com/DataValues/Time/pull/32 now. This patch is so simple and so important, I really don't understand why it's just sitting there for 5 weeks now. It's so wrong, it even qualifies for a backport. Can we please, please move on with this giant mess of time-related issues?

Event Timeline

thiemowmde claimed this task.
thiemowmde raised the priority of this task from to Unbreak Now!.
thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: thiemowmde.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 1:41 PM

Change 195883 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Drop pointless time formatter delegation

https://gerrit.wikimedia.org/r/195883

Change 196635 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Use HtmlTimeFormatter in TimeDetailsFormatter

https://gerrit.wikimedia.org/r/196635

https://github.com/DataValues/Time/pull/32 completely removes the "display calendar model" feature from the class. This is not necessary, the feature can stay, it just needs to be reworked. Please review the resubmission https://github.com/DataValues/Time/pull/49 instead.

Change 195883 merged by jenkins-bot:
Drop pointless time formatter delegation

https://gerrit.wikimedia.org/r/195883

Change 197039 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Drop pointless time formatter delegation

https://gerrit.wikimedia.org/r/197039

Change 197039 abandoned by Thiemo Mättig (WMDE):
Drop pointless time formatter delegation

https://gerrit.wikimedia.org/r/197039

Change 197040 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Drop pointless time formatter delegation

https://gerrit.wikimedia.org/r/197040

Change 197040 merged by jenkins-bot:
Drop pointless time formatter delegation

https://gerrit.wikimedia.org/r/197040

Change 196635 merged by jenkins-bot:
Use HtmlTimeFormatter in TimeDetailsFormatter

https://gerrit.wikimedia.org/r/196635

Am I getting this right? https://github.com/DataValues/Time/pull/49 is the only changeset left to resolve this?

thiemowmde lowered the priority of this task from Unbreak Now! to Low.Mar 17 2015, 1:17 PM

@Tobi_WMDE_SW, yes, the line https://github.com/DataValues/Time/pull/49/files#diff-231023e756f084705b0ead65063eb61eL71 in that patch is the only one left. Currently this class is not used any more, so the priority is low. But I would like to keep this task open until the last patch is merged.

thiemowmde closed this task as Invalid.Mar 25 2015, 5:10 PM

I'm closing this for now. I will split the code not related to calendar models from https://github.com/DataValues/Time/pull/49 and make that a separate patch. The remaining discussion about the meaning of the calendar model will be tracked in an other ticket.